<template>

    <h1>Add Dog</h1>

    <DogForm @submit="handleSubmit($event)" />
</template>

<script setup lang="ts">
import DogForm from '@/components/DogForm.vue';
import { postDog } from '@/dog-service';
import type { Dog } from '@/entities';
import { useRouter } from 'vue-router';

const router = useRouter();
async function handleSubmit(dog:Dog) {
    const added = await postDog(dog);
    //dog.value = await postDog(dog.value); //Si on veut faire le feedback sans redirection
    router.push("/dog/"+added.id);
}

</script>